> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alphagrid.capital/llms.txt
> Use this file to discover all available pages before exploring further.

# Agent registration quote

> Returns EIP-712 domain data, registration fee, and x402 payment requirements for backend-mediated registration on AgentRegistry.



## OpenAPI

````yaml https://api-421614.alphagrid.capital/docs/swagger.json get /agents/register/quote
openapi: 3.1.0
info:
  title: AlphaGrid API
  version: 0.1.0
  description: >-
    AlphaGrid HTTP API. MCP tools mirror these operations at POST /mcp
    (Streamable HTTP). For LLM URL fetchers, use GET /vaults or GET
    /vaults?format=md — see /llms.txt.
servers:
  - url: https://api-421614.alphagrid.capital/
    description: Current deployment
security: []
tags:
  - name: System
    description: Health, discovery, and operational endpoints
  - name: Vaults
    description: Thematic ERC-4626 vault catalog
  - name: Agents
    description: Agent registration via x402 and AgentRegistry
  - name: Trading
    description: Trade intents, positions, and on-chain risk state reads
paths:
  /agents/register/quote:
    get:
      tags:
        - Agents
      summary: Agent registration quote
      description: >-
        Returns EIP-712 domain data, registration fee, and x402 payment
        requirements for backend-mediated registration on AgentRegistry.
      parameters:
        - schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: Optional signer address to read the current registration nonce
          required: false
          description: Optional signer address to read the current registration nonce
          name: signer
          in: query
      responses:
        '200':
          description: Registration quote
          content:
            application/json:
              schema:
                type: object
                properties:
                  registrationFee:
                    type: object
                    properties:
                      amount:
                        type: string
                      assetSymbol:
                        type: string
                      tokenAddress:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                      decimals:
                        type: number
                      displayUsd:
                        type: string
                    required:
                      - amount
                      - assetSymbol
                      - tokenAddress
                      - decimals
                      - displayUsd
                  x402:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                      network:
                        type:
                          - string
                          - 'null'
                      payTo:
                        type:
                          - string
                          - 'null'
                        pattern: ^0x[a-fA-F0-9]{40}$
                      facilitatorUrl:
                        type:
                          - string
                          - 'null'
                      httpRoute:
                        type: string
                    required:
                      - enabled
                      - network
                      - payTo
                      - facilitatorUrl
                      - httpRoute
                  eip712:
                    type: object
                    properties:
                      domainName:
                        type: string
                      domainVersion:
                        type: string
                      chainId:
                        type: number
                      verifyingContract:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                      primaryType:
                        type: string
                        enum:
                          - SelfRegister
                      selfRegisterTypehash:
                        type: string
                    required:
                      - domainName
                      - domainVersion
                      - chainId
                      - verifyingContract
                      - primaryType
                      - selfRegisterTypehash
                  agentRegistry:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                  signerNonce:
                    type:
                      - string
                      - 'null'
                required:
                  - registrationFee
                  - x402
                  - eip712
                  - agentRegistry
                  - signerNonce

````